Bug 26800 - Remove the use of jquery.checkboxes plugin from checkout page
Summary: Remove the use of jquery.checkboxes plugin from checkout page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 26806 26006
  Show dependency treegraph
 
Reported: 2020-10-23 14:37 UTC by Owen Leonard
Modified: 2020-11-03 09:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26800: Remove the use of jquery.checkboxes plugin from checkout page (2.30 KB, patch)
2020-10-23 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Attachment to Bug 26800 - Remove the use of jquery.checkboxes plugin from checkout page (2.36 KB, patch)
2020-10-24 20:08 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 26800: Remove the use of jquery.checkboxes plugin from checkout page (2.42 KB, patch)
2020-10-25 01:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-10-23 14:37:27 UTC
The checkout page (circulation.tt) includes the jquery.checkboxes plugin but does not use it. The include should be removed.
Comment 1 Owen Leonard 2020-10-23 14:50:37 UTC
Created attachment 112294 [details] [review]
Bug 26800: Remove the use of jquery.checkboxes plugin from checkout page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron checkout page (circulation.tt). The plugin is unused.

To test, apply the patch and check out to a patron with checkouts.

- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.
Comment 2 Lisette Scheer 2020-10-24 20:08:44 UTC
Created attachment 112396 [details] [review]
Attachment to Bug 26800 - Remove the use of jquery.checkboxes plugin from checkout page

Bug 26800: Remove the use of jquery.checkboxes plugin from checkout page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron checkout page (circulation.tt). The plugin is unused.

To test, apply the patch and check out to a patron with checkouts.

- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 3 Katrin Fischer 2020-10-25 01:19:50 UTC
Created attachment 112440 [details] [review]
Bug 26800: Remove the use of jquery.checkboxes plugin from checkout page

This patch removes inclusion of the jquery.checkboxes plugin from the
patron checkout page (circulation.tt). The plugin is unused.

To test, apply the patch and check out to a patron with checkouts.

- Open the checkouts tab and click "Show checkouts" if necessary.
- In the table of checkouts, confirm that the "select all" and "none"
  links in the "Renew" and "Check in" column headers work correctly.

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:35 UTC
Pushed to master for 20.11, thanks to everybody involved!